Package org.xnio

# Interface ChannelExceptionHandler<T extends Channel>

All Superinterfaces:
  `EventListener`

public interface ChannelExceptionHandler<T extends Channel> extends EventListener
An exception handler for utility channel listeners.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`void`
`handleException(T channel, IOException exception)`
Handle an exception on the channel.

## Method Details

### handleException

void handleException(T channel, IOException exception)
Handle an exception on the channel.

Parameters:
  `channel` - the channel
  `exception` - the exception